set linesize 1000
set pagesize 60
spool FMCT_migration.log
select 'FMCT Migration Started: ' || CURRENT_TIMESTAMP from dual;
set echo on

-- Apply PPSN 1.6 DDL modifications as SYSTEM


-- Drop table no longer needed in PPSN 1.6
@Script_to_Drop_EPL_NOTIFICATION_STATUS_Table_RTC329836.sql
@Script_to_Drop_EPL_REDUCED_COPAY_Table_RTC356696.sql

-- Apply PPSN 1.6 schema changes
@PPSNEPL_EPL_NATIONAL_SETTINGS_RTC287205.sql

@Script_to_Create_EPL_COPAY_TIER.ddl
@Script_to_Create_EPL_VA_DRUG_CLASSES_Field_Excluded.ddl
@Script_to_Populate_EPL_VA_DRUG_CLASSES_Field_Excluded.ddl
@Script_Report_Copay_Tier_Change.sql
@Script_to_Create_EPL_COPAY_TIER_3_PRODUCTS_View_RTC287207.sql
--Remove from script, should be run as SYSTEM
--@Script_to_Grant_FDB_READ_ONLY_ROLE_TO_PPSNEPL.sql

-- Purge recycle bin as PPSNEPL user
purge recyclebin;
commit;
-- Update statistics and recompile schema
--@Recompile_Schema.sql
select 'FMCT Migration Completed: ' || CURRENT_TIMESTAMP from dual;

commit;
spool off

