DROP TABLE PPSNEPL.EPL_COMPLIANCE_SITE;

CREATE TABLE PPSNEPL.EPL_COMPLIANCE_SITE
(
  STATION_NUMBER             VARCHAR2(7)        NOT NULL,
  INCLUDE_EXCLUDE_INDICATOR  VARCHAR2(1)        NOT NULL,
  CREATED_BY                 VARCHAR2(50)       NOT NULL,
  CREATED_DTM                TIMESTAMP(6)       NOT NULL,
  LAST_MODIFIED_BY           VARCHAR2(50),
  LAST_MODIFIED_DTM          TIMESTAMP(6)
)
STORAGE    (
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
RESULT_CACHE (MODE DEFAULT)
NOPARALLEL
NOMONITORING;

CREATE UNIQUE INDEX PPSNEPL.EPL_COMPLIANCE_SITE_PK 
  ON PPSNEPL.EPL_COMPLIANCE_SITE(STATION_NUMBER)
LOGGING
TABLESPACE PPSNEPL_DATA
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MAXSIZE          UNLIMITED
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;

ALTER TABLE PPSNEPL.EPL_COMPLIANCE_SITE ADD (
  CONSTRAINT EPL_COMPLIANCE_SITE_PK
  PRIMARY KEY(STATION_NUMBER)
  USING INDEX PPSNEPL.EPL_COMPLIANCE_SITE_PK
  ENABLE VALIDATE);


CREATE OR REPLACE PUBLIC SYNONYM EPL_COMPLIANCE_SITE FOR PPSNEPL.EPL_COMPLIANCE_SITE;

GRANT SELECT ON PPSNEPL.EPL_COMPLIANCE_SITE TO PPSNEPL_READ_ONLY_ROLE;

GRANT DELETE, INSERT, UPDATE ON PPSNEPL.EPL_COMPLIANCE_SITE TO PPSNEPL_UPDATE_ROLE;
  
  