-- NOTE WELL: All modification requests in PPS-N must be completed before running this script

-- MODIFY TABLE EPL_REMATCH TO CARRY A NEW NON-NULLABLE STATUS COLUMN
-- AND DROP THE EPL_MATCH_TYPE TABLE NO LONGER REQUIRED

ALTER TABLE PPSNEPL.EPL_REMATCH
   ADD (STATUS NUMBER(2));

UPDATE PPSNEPL.EPL_REMATCH RM1
   SET RM1.STATUS = 
     (SELECT CASE 
         WHEN RM2.MATCH_TYPE_ID_FK = 2 THEN 0
                                       ELSE 2 END
         FROM PPSNEPL.EPL_REMATCH RM2
      WHERE RM1.EPL_REMATCH_ID = RM2.EPL_REMATCH_ID);

COMMIT;
 
ALTER TABLE PPSNEPL.EPL_REMATCH
   MODIFY(STATUS NOT NULL);

ALTER TABLE PPSNEPL.EPL_REMATCH
   DROP CONSTRAINT EPL_REMATCH_MATCH_TYPE_R01;

ALTER TABLE PPSNEPL.EPL_REMATCH 
   DROP COLUMN MATCH_TYPE_ID_FK;

DROP TABLE PPSNEPL.EPL_MATCH_TYPE
   CASCADE CONSTRAINTS;


