-- This script deletes duplicate "VUID Status History" records that were created by Defect 528642. This script does not
-- strictly have to be run, but it will clean up duplicate Product "Effective Dates" that can be found on the UI.
--
-- It may be run any time after the fix for Defect 528642 is deployed.

-- get total count before
select count(*) from epl_vuid_status_history;
-- get total count before grouped by 
select vuid, count(*) from epl_vuid_status_history group by vuid order by 2 desc;

delete from PPSNEPL.EPL_VUID_STATUS_HISTORY t1
where exists (
    -- Is there a duplicate row with a lower ID?
    select 1 from PPSNEPL.EPL_VUID_STATUS_HISTORY t2
    where
        t2.vuid = t1.vuid and
        t2.item_type = t1.item_type and
        t2.status = t1.status and
        t2.created_dtm = t1.created_dtm and
        t2.effective_dtm = t1.effective_dtm and
        t2.id < t1.id);

select count(*) from epl_vuid_status_history;
select vuid, count(*) from epl_vuid_status_history group by vuid order by 2 desc;

commit;