#!/bin/sh
#
# Sends a mock VistA update message to PPS-N. This shell script may be executed in your
# Vagrant box or on your Windows machine if you have bash and curl.

script_name=`basename $0`

# Ensure the user has supplied all needed arguments.
if [ -z "$2" ]; then
  echo "Usage: $script_name filename status"
  echo ""
  echo 'filename: e.g., "PPS_3PRV_4NEW.DAT"'
  echo 'status: e.g., "COMPLETED". The valid statuses are in gov.va.med.pharmacy.peps.common.object.VistaStatus.'
  exit 1
fi

filename=$1
site=442
status=$2

# Add a trailing newline to the --write-out format because curl doesn't always add it.
curl -H "Accept: application/xml" --write-out "\nHTTP response code: %{response_code}\n" --data \
	'xmlRequest=<?xml version="1.0"?><vistaUpdateStatus><version>'"$filename"'</version><site>'$site'</site><status>'$status'</status><timeApplied>Wed Mar 15 17:58:59 CDT 2017</timeApplied><message></message></vistaUpdateStatus>' \
	http://localhost:17001/PRE/ndf/update/status
