#!/bin/bash
SCRIPT=$0
SCRIPT_NAME=$(basename "${SCRIPT}")
LOG_FILE=/tmp/${SCRIPT_NAME}.log
exec > >(tee -a ${LOG_FILE} )
exec 2> >(tee -a ${LOG_FILE} >&2)
LOG_TIME=`date "+%Y-%m-%d %H:%M:%S"`

echo starting ${SCRIPT_NAME} at ${LOG_TIME}

[ "`id -u -n`" = "oracle" ] || (echo "$0 must be run as oracle" && exit 1)

# Fail immediately on any error
set -e

#The following will upgrade expdp_PPSDEV03_FULL_POST_PKGSIZE_20170605.dmp to the latest as of 11/09/2017.  
cd /vagrant/PS_PPS_DataMgmt/src/main/resources/PPSN3.0/DDL/migration_scripts

echo exit | $ORACLE_HOME/bin/sqlplus / as sysdba @PPSNEPL_CREATE_TABLE_EPL_COMPLIANCE_SITE-RTC539046.sql
echo exit | $ORACLE_HOME/bin/sqlplus / as sysdba @PPSNEPL_EPL_REMATCH_STATUS_CASE_UPDATE-RTC513349.sql

echo "End of ${SCRIPT_NAME}"
