#!/bin/bash
# Imports VA CA certificates into the JVM's 'cacerts' bundle.
#
# The JAVA_HOME environment variable must be set before running this script.

# Fail immediately on any error
set -e

# *** Script configuration ***

# The path to the installation resources. (Assumed to be the path to this script.)
install_dir=$(dirname "$0")

# The directory containing the root certificates.
certs_dir=$install_dir/../../PS_PPS_interface/src/main/config/va_certificates

# The directory containing the intermediate certificates
intermediate_certs_dir=$certs_dir/intermediate

# The cacerts file.
cacerts_file=$JAVA_HOME/jre/lib/security/cacerts

echo "Importing into $cacerts_file"

# *** Import certs ***

for file in $certs_dir/*.cer $intermediate_certs_dir/*.cer; do
    alias=$(basename "$file" .cer)
    echo "Importing $file with alias $alias ..."
    keytool -importcert -keystore "$cacerts_file" -file "$file" -alias "$alias"
done
