package gov.va.med.pharmacy.peps.common.vista;

/**
 * Specifies dosage form constants for use with the NDF update file.
 */
public abstract class VistaDosageFormFile extends VistaFile {
    /** VA_DOSAGE_FORM_FILE. */
    public static final String FILE_NUMBER = "50.606";    
    
    /**
     * Base identifier for units field.
     */
    public static final String UNITS_FIELD_BASE = "8";
    
    /**
     * Parent record identifier for units field.
     */
    public static final String UNITS_FIELD = UNITS_FIELD_BASE + ",.01";
    
    /**
     * Child record identifier for units package field.
     */
    public static final String UNITS_PACKAGE_FIELD = UNITS_FIELD_BASE + ",1";
    
    /**
     * Base identifier for dispense unit per dose field.
     */
    public static final String DISPENSE_UNIT_PER_DOSE_FIELD_BASE = "9";
    
    /**
     * Parent record identifier for dispense unit per dose field.
     */
    public static final String DISPENSE_UNIT_PER_DOSE_FIELD = DISPENSE_UNIT_PER_DOSE_FIELD_BASE + ",.01";
    
    /**
     * Child record identifier for dispense unit package field.
     */
    public static final String DISPENSE_UNIT_PACKAGE_FIELD = DISPENSE_UNIT_PER_DOSE_FIELD_BASE + ",1";
    
    /**
     * Identifies an inpatient unit package or dispense unit package from the UI.
     */
    public static final String I_INPATIENT = "I-Inpatient";
    
    /**
     * VistA identifier for inpatient packages.
     */
    public static final String VISTA_INPATIENT_INDICATOR = "I";
    
    /**
     * VistA identifier for outpatient packages.
     */
    public static final String VISTA_OUTPATIENT_INDICATOR = "O";
    
    /**
     * VistA identifier for combined inpatient/outpatient packages.
     */
    public static final String VISTA_INPATIENT_OUTPATIENT_INDICATOR = "IO";
    
    /**
     * Identifier for the dosage form name field.
     */
    public static final String NAME_FIELD = ".01";
    
    /**
     * Identifier for the dosage form inactivation date field.
     */
    public static final String INACTIVATION_DATE_FIELD = "7";
    
    /**
     * Identifier for the dosage form "exclude from dose check" field.
     */
    public static final String EXCLUDE_FROM_DOSE_CHECK_FIELD = "11";
}
