package gov.va.med.pharmacy.peps.common.vo;

import java.lang.reflect.Field;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * Holds the collections of ComplainceSiteVo instances to be shown to the user.
 * 
 * @author DNS   DNS
 *
 */
public class EditSiteListVo extends ManagedItemVo {

    /**
     * Default.
     */
    private static final long serialVersionUID = 1L;

    /**
     * List of excluded sites.
     */
    private List<ComplianceSiteVo> sitesExcludedList;

    /**
     * List of included sites.
     */
    private List<ComplianceSiteVo> sitesIncludedList;

    /**
     * Gets the List of excluded ComplainceSiteVo instances.
     * 
     * @return List of ComplainceSiteVo instances
     */
    public List<ComplianceSiteVo> getSitesExcludedList() {
        return sitesExcludedList;
    }

    /**
     * Sets the of List of excluded ComplainceSiteVo instances.
     * 
     * @param sitesExcludedList List<ComplainceSiteVo> values
     */
    public void setSitesExcludedList(List<ComplianceSiteVo> sitesExcludedList) {
        this.sitesExcludedList = sitesExcludedList;
    }

    /**
     * Gets the List of included ComplainceSiteVo instances.
     * 
     * @return List of ComplainceSiteVo instances
     */
    public List<ComplianceSiteVo> getSitesIncludedList() {
        return sitesIncludedList;
    }

    /**
     * Sets the of List of included ComplainceSiteVo instances.
     * 
     * @param sitesIncludedList List<ComplainceSiteVo> values
     */
    public void setSitesIncludedList(List<ComplianceSiteVo> sitesIncludedList) {
        this.sitesIncludedList = sitesIncludedList;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.peps.common.vo.ManagedItemVo#listUniquenessCriteria()
     */
    @Override
    public Set<FieldKey> listUniquenessCriteria() {
        // Do nothing
        return null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.peps.common.vo.ManagedItemVo#isLocalOnlyData()
     */
    @Override
    public boolean isLocalOnlyData() {
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.peps.common.vo.ManagedItemVo #makeTemplate(gov.va.med.pharmacy.peps.common.vo.ManagedItemVo,
     * gov.va.med.pharmacy.peps.common.vo.Environment)
     */
    @Override
    protected ManagedItemVo makeTemplate(ManagedItemVo managedItemVo, Environment environment) {
        // Do nothing
        return null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.peps.common.vo.ManagedItemVo#blankTemplate(gov.va.med.pharmacy.peps.common.vo.Environment)
     */
    @Override
    public ManagedItemVo blankTemplate(Environment environment) {
        EditSiteListVo vo = new EditSiteListVo();
        return vo;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.peps.common.vo.ManagedItemVo#listAllFields()
     */
    @Override
    public Set<FieldKey> listAllFields() {
        Set<FieldKey> fields = new HashSet<FieldKey>();
        fields.add(FieldKey.SITES_EXCLUDED_LIST);
        fields.add(FieldKey.SITES_INCLUDED_LIST);
        return fields;
    }

    @Override
    public <T> T reflectFieldValue(Field field) throws IllegalArgumentException, IllegalAccessException {
        return (T) field.get(this);
    }

    @Override
    public void setAttributeByField(Field field, Object fieldValue) throws IllegalArgumentException, IllegalAccessException {
        field.set(this, fieldValue);
    }    
}
