package gov.va.med.pharmacy.peps.common.vo;


import java.lang.reflect.Field;

import gov.va.med.pharmacy.peps.common.vo.ValueObject;


/**
 * Drug warning labels map from the drug data vendor interface.
 */
public class FdbGcnseqnoPemVVo extends ValueObject {

    private static final long serialVersionUID = 1L;
    
    // these are the fields of the drug monograph.
    private Long gcnSeqNo;
    private Long monographId;
    

    /**
     * default constructor
     */
    public FdbGcnseqnoPemVVo() {
    }
    
    /**
     * @return the gcnSeqNo
     */
    public Long getGcnSeqNo() {
    
        return gcnSeqNo;
    }
    
    /**
     * @param gcnSeqNo the gcnSeqNo to set
     */
    public void setGcnSeqNo(Long gcnSeqNo) {
    
        this.gcnSeqNo = gcnSeqNo;
    }
    
    /**
     * @return the monographId
     */
    public Long getMonographId() {
    
        return monographId;
    }
    
    /**
     * @param monographId the monographId to set
     */
    public void setMonographId(Long monographId) {
    
        this.monographId = monographId;
    }

    @Override
    public <T> T reflectFieldValue(Field field) throws IllegalArgumentException, IllegalAccessException {
        return (T) field.get(this);
    }

    @Override
    public void setAttributeByField(Field field, Object fieldValue) throws IllegalArgumentException, IllegalAccessException {
        field.set(this, fieldValue);
    }

}
