package gov.va.med.pharmacy.peps.common.vo;


import java.lang.reflect.Field;

import gov.va.med.pharmacy.peps.common.vo.ValueObject;


/**
 * Drug warning labels from the drug data vendor interface.
 */
public class FdbGcnseqnoPlblwVVo extends ValueObject {

    private static final long serialVersionUID = 1L;
    
    // these are the fields of the drug monograph.
    private Long gcnSeqNo;
    private String lwId;
    private Long priority;
    

    /**
     * default constructor
     */
    public FdbGcnseqnoPlblwVVo() {
    }


    
    /**
     * @return the gcnSeqNo
     */
    public Long getGcnSeqNo() {
    
        return gcnSeqNo;
    }


    
    /**
     * @param gcnSeqNo the gcnSeqNo to set
     */
    public void setGcnSeqNo(Long gcnSeqNo) {
    
        this.gcnSeqNo = gcnSeqNo;
    }


    
    /**
     * @return the lwId
     */
    public String getLwId() {
    
        return lwId;
    }


    
    /**
     * @param lwId the lwId to set
     */
    public void setLwId(String lwId) {
    
        this.lwId = lwId;
    }


    
    /**
     * @return the priority
     */
    public Long getPriority() {
    
        return priority;
    }


    
    /**
     * @param priority the priority to set
     */
    public void setPriority(Long priority) {
    
        this.priority = priority;
    }



    @Override
    public <T> T reflectFieldValue(Field field) throws IllegalArgumentException, IllegalAccessException {
        return (T) field.get(this);
    }



    @Override
    public void setAttributeByField(Field field, Object fieldValue) throws IllegalArgumentException, IllegalAccessException {
        field.set(this, fieldValue);
    }

}
