/**
 * Source file created in 2007 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.common.vo;

import java.lang.reflect.Field;

/**
 * Lab display order entry
 */
public class LabDisplayOrderEntryVo extends ValueObject implements Selectable {
    private static final long serialVersionUID = 1L;
    
    private String value;

    /**
     * getId for LabDisplayOrderEntryVo
     * @return {@link #getValue()}
     */
    public String getId() {
        return getValue();
    }

    /**
     * getValue  for LabDisplayOrderEntryVo
     * @return value property
     */
    public String getValue() {
        return value;
    }

    /**
     * setValue for LabDisplayOrderEntryVo
     * @param value property
     */
    public void setValue(String value) {
        this.value = trimToEmpty(value);
    }

    /**
     * toShortString for LabDisplayOrderEntryVo
     * 
     * @return {@link #getValue()}
     */
    public String toShortString() {
        return getValue() + "<p>";
    }

    @Override
    public <T> T reflectFieldValue(Field field) throws IllegalArgumentException, IllegalAccessException {
        return (T) field.get(this);
    }

    @Override
    public void setAttributeByField(Field field, Object fieldValue) throws IllegalArgumentException, IllegalAccessException {
        field.set(this, fieldValue);
    }
}
