package gov.va.med.pharmacy.peps.common.vo;

/**
 * The possible states of a rematch.
 */
public enum RematchStatus {
    /* NOTE WELL: Do not change the order of these constants! The ordinal numbers are used in the database. */
    
    /**
     * Rematch for a future inactivation. Will be used when the Proposed Inactivation Date hits.
     */
    FUTURE,
    
    /**
     * Pending request approval.
     */
    PENDING,
    
    /**
     * Ready to be sent (or has been sent) in an update file.
     */
    APPROVED,
    
    /**
     * The rematch is obsolete and should be dropped.
     */
    OBSOLETE;
}
