package gov.va.med.pharmacy.peps.common.vo;

import java.lang.reflect.Field;

/**
 * The Class VistaSiteVo.
 */
public class VistaSiteVo extends ManagedDataVo {

    /** serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new VistaSiteVo.
     *
     * @param stationNumber the station number
     * @param name the name of the station
     */
    public VistaSiteVo(String stationNumber, String name) {
        super();
        setId(stationNumber);
        setValue(name);
    }

    /**
     * Gets the station number.
     *
     * @return the stationNumber
     */
    public String getStationNumber() {
        return getId();
    }

    /**
     * Sets the station number.
     *
     * @param stationNumber the stationNumber to set
     */
    public void setStationNumber(String stationNumber) {
        setId(stationNumber);
    }

    /**
     * Gets the name.
     *
     * @return the name
     */
    public String getName() {
        return super.getValue();
    }

    /**
     * Sets the name.
     *
     * @param name the name to set
     */
    public void setName(String name) {
        setValue(name);
    }

    @Override
    public String getValue() {
        String name = super.getValue() != null ? super.getValue() : "Undefined";
        return getId() + " - " + name;
    }

    @Override
    public boolean isStandardized() {
        return false;
    }

    @Override
    public boolean isNdf() {
        return false;
    }

    @Override
    public DomainGroup getDomainGroup() {
        return null;
    }

    @Override
    public boolean isLocalOnlyData() {        
        return false;
    }
    
    @Override
    public <T> T reflectFieldValue(Field field) throws IllegalArgumentException, IllegalAccessException {
        return (T) field.get(this);
    }

    @Override
    public void setAttributeByField(Field field, Object fieldValue) throws IllegalArgumentException, IllegalAccessException {
        field.set(this, fieldValue);
    }    
}
