package gov.va.med.pharmacy.peps.common.vo.validator.fields;

import gov.va.med.pharmacy.peps.common.vo.FieldKey;
import gov.va.med.pharmacy.peps.common.vo.validator.AbstractValidator;
import gov.va.med.pharmacy.peps.common.vo.validator.Errors;

/**
 * Validates the Orderable Item Text field.
 * 
 * @since 3.0
 */
public class OrderableItemTextValidator extends AbstractValidator<String> {

  /**
   * Validates that the orderable item text field is not longer than 255 characters.
   * 
   * @param target the String containing the Orderable Item Text Field to validate
   * @param errors the errors collection
   * 
   * @see gov.va.med.pharmacy.peps.common.vo.validator.AbstractValidator# validate(java.lang.Object,
   *      gov.va.med.pharmacy.peps.common.vo.validator.Errors)
   */
  public void validate(String target, Errors errors) {
    // the length is between 0 to 255 characters, inclusive
    rejectIfLengthOutsideRangeInclusive(target, NUM_0, NUM_255, errors, FieldKey.OI_TEXT);
  }

}
