package gov.va.med.pharmacy.peps.common.utility;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;

import java.time.Instant;

import org.junit.Test;

/**
 * Automated tests for {@link StringConverter}.
 */
public class StringConverterTest {

    @Test
    public void testMillisToInstant() {
        /* Setup */
        final String millisString = "9991350429296132";
        final long expectedMillis =  9991350429296132L;
        
        /* Behavior & Verification */
        final Instant instant = StringConverter.millisToInstant(millisString);
        assertThat(instant.toEpochMilli(), equalTo(expectedMillis));
    }

}
