package gov.va.med.pharmacy.peps.domain.common.capability;

import java.util.Collection;

import gov.va.med.pharmacy.peps.common.vo.VistaSiteVo;

/**
 * Interface for providers of Site List information.
 */
public interface SiteListDomainCapability {

    /**
     * Retrieve all.
     *
     * @return the collection
     */
    Collection<VistaSiteVo> retrieveAll();

    /**
     * Retrieve filtered, which means that the site list is filtered by business rules such a numeric site number, certain
     * facility types, and active status.
     *
     * @return the collection
     */
    Collection<VistaSiteVo> retrieveFiltered() throws Exception;

    /**
     * Retrieve by station number.
     *
     * @param stationNumber the station number
     * @return the vista site vo
     */
    VistaSiteVo retrieveByStationNumber(String stationNumber);
}
