/**
 * Source file created in 2006 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.domain.common.dao;


import gov.va.med.pharmacy.peps.domain.common.model.EplIngredientDo;


/**
 * This class provides a set of operation that may be performed on all the classes that inherit from this class. This
 * interface should never be used directly, but it will be inherited by all DAOs. It provides abstract methods to access and
 * modify the EplIngredientDao.
 * 
 */
public interface EplIngredientDao extends DataAccessObject<EplIngredientDo, Long> {

    /**
     * Query for ingredient by name in database.
     * The search is case insensitive to insure it works regardless of mixed case names.
     * Some data imports would not work if the search was case sensitive because of differing cases of the same ingredient.
     * No two ingredients will ever differ only by case.
     * @param name name of ingredient
     * @return the found object or null if none found
     */
    public abstract EplIngredientDo findIngredientByName(String name);

}
