package gov.va.med.pharmacy.peps.domain.common.dao.impl;

import java.util.List;

import gov.va.med.pharmacy.peps.domain.common.dao.EplComplianceSiteDao;
import gov.va.med.pharmacy.peps.domain.common.model.EplComplianceSiteDo;

/**
 * This class makes available the methods that may be used to access and modify the data referenced by the EplComplianceSiteDao.
 */
public class EplComplianceSiteDaoImpl extends DataAccessObjectImpl<EplComplianceSiteDo, String>
    implements EplComplianceSiteDao {

    /**
     * Finds an all EplComplianceSiteDo object in ascending station number order from the database.
     * 
     * @return List of EplComplianceSiteDo objects
     */
    @Override
    public List<EplComplianceSiteDo> retrieve() {
        return retrieveAscending(EplComplianceSiteDo.STATION_NUMBER);
    }
}
