/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.domain.common.dao.impl;


import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;

import gov.va.med.pharmacy.peps.domain.common.dao.EplCopayTierDao;
import gov.va.med.pharmacy.peps.domain.common.model.EplCopayTierDo;


/**
 * This class makes avaliable the methods that may be used to access and 
 * modify the data referenced by the EplOrderUnitDao.
 */
public class EplCopayTierDaoImpl extends DataAccessObjectImpl<EplCopayTierDo, Long> 
    implements EplCopayTierDao {

//    @Autowired
//    private SessionFactory sessionFactory;
//    
//    public SessionFactory getSessionFactory() {
//        return sessionFactory;
//    }
//
//    /**
//     * @param sessionFactory the sessionFactory to set
//     */
//    public void setSessionFactory(SessionFactory sessionFactory) {
//        this.sessionFactory = sessionFactory;
//    }
        
    
    /**
     * Find By Id
     */
    public EplCopayTierDo findById(Long id) {
        
        if(id == null){
            throw new IllegalArgumentException("EplCopayTier id cannot be null");
        }
        
        Session session = getCurrentSession();
        
        EplCopayTierDo eplDrugDrugInteraction = (EplCopayTierDo) session.get(EplCopayTierDo.class, id);
        
        return eplDrugDrugInteraction;
    }
    
    
    /**
     * Save
     */
    public EplCopayTierDo save(EplCopayTierDo eplCopayTier) {
        
        EplCopayTierDo copayTier = new EplCopayTierDo();
        
        Session session = getCurrentSession();
        
        Long id = (Long) session.save(eplCopayTier);
        
        copayTier = findById(id);
        
        return copayTier;
    }

}
