/**
 * Source file created in 2007 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.domain.common.dao.impl;


import java.util.ArrayList;
import java.util.List;

import org.hibernate.criterion.Criterion;
import org.hibernate.criterion.Restrictions;

import gov.va.med.pharmacy.peps.domain.common.dao.EplVuidStatusHistoryDao;
import gov.va.med.pharmacy.peps.domain.common.model.EplVuidStatusHistoryDo;


/**
 * This class makes available the methods that may be used to access and 
 * modify the data referenced by the EplOrderUnitDao.
 */
public class EplVuidStatusHistoryDaoImpl extends DataAccessObjectImpl<EplVuidStatusHistoryDo, Long> 
    implements EplVuidStatusHistoryDao {
    
    @Override
    public List<EplVuidStatusHistoryDo> retrieveByVuidAndItemType(String vuid, Long itemType){
        List<Criterion> vuidStatusHistoryCriteria = new ArrayList<Criterion>();
        vuidStatusHistoryCriteria.add(Restrictions.eq(EplVuidStatusHistoryDo.VUID, vuid));
        vuidStatusHistoryCriteria.add(Restrictions.eq(EplVuidStatusHistoryDo.ITEM_TYPE, itemType));
        return retrieve(vuidStatusHistoryCriteria);
    }

}
