package gov.va.med.pharmacy.peps.domain.common.model;


import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * EplCopayTierDo 
 * 
 * @hibernate.class
 */
public class EplCopayTierDo extends
        gov.va.med.pharmacy.peps.domain.common.model.DataObject implements
        java.io.Serializable {

    // Fields
    public static final String EPL_ID = "id";
    public static final String TIER_LEVEL = "tierLevel";
    public static final String ITEM_STATUS = "itemStatus";
    public static final String DESCRIPTION = "description";
    public static final String INACTIVATION_DATE = "inactivationDate";

    private static final long serialVersionUID = 1L;

    private Long eplId;
    private String tierLevel;
    private String description;
    private String itemStatus;
    private Date inactivationDate;
    private Long revisionNumber;

    // Constructors

    /** default constructor */

    public EplCopayTierDo() {
    }

    /** minimal constructor */

    public EplCopayTierDo(Long id, String tierLevel, String description, String itemStatus,
        String requestStatus, Date inactivationDate, String createdBy, Date createdDtm) {
        this.eplId = id;
        this.tierLevel = tierLevel;
        this.description = description;
        this.itemStatus = itemStatus;
        this.inactivationDate = inactivationDate;
        this.setCreatedBy(createdBy);
        this.setCreatedDtm(createdDtm);
    }

    /** full constructor */

    public EplCopayTierDo(Long id, String tierLevel, String description, String itemStatus,
        String requestStatus, Date inactivationDate, String createdBy, Date createdDtm,
        String lastModifiedBy, Date lastModifiedDtm) {
        this.eplId = id;
        this.tierLevel = tierLevel;
        this.description = description;
        this.itemStatus = itemStatus;
        this.inactivationDate = inactivationDate;
        this.setCreatedBy(createdBy);
        this.setCreatedDtm(createdDtm);
        this.setLastModifiedBy(lastModifiedBy);
        this.setLastModifiedDtm(lastModifiedDtm);
    }
   
    public Long getEplId() {
        return this.eplId;
    }

    public void setEplId(Long eplId) {
        this.eplId = eplId;
    }

    public String getTierLevel() {
        return this.tierLevel;
    }

    public void setTierLevel(String tierLevel) {
        this.tierLevel = tierLevel;
    }
    
    public String getDescription() {
        return this.description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
   
   public String getItemStatus() {
       return this.itemStatus;
   }
   
   public void setItemStatus(String itemStatus) {
       this.itemStatus = itemStatus;
   }
     
   public Date getInactivationDate() {
       return this.inactivationDate;
   }
   
    public void setInactivationDate(Date inactivationDate) {
        this.inactivationDate = inactivationDate;
    }    
    
    /*
    public String getCreatedBy() {
        return createdBy;
    }
   
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }
    
    public Date getCreatedDtm() {
        return createdDtm;
    }
    
    public void setCreatedDtm(Date createdDtm) {
        this.createdDtm = createdDtm;
    }
    
    public String getLastModifiedBy() {
        return lastModifiedBy;
    }
    
    public void setLastModifiedBy(String lastModifiedBy) {
        this.lastModifiedBy = lastModifiedBy;
    }

    
    public Date getLastModifiedDtm() {
        return lastModifiedDtm;
    }

    
    public void setLastModifiedDtm(Date lastModifiedDtm) {
        this.lastModifiedDtm = lastModifiedDtm;
    }
    */

    
    /**
     * @return the revisionNumber
     */
    public Long getRevisionNumber() {
        return revisionNumber;
    }

    
    /**
     * @param revisionNumber the revisionNumber to set
     */
    public void setRevisionNumber(Long revisionNumber) {
        this.revisionNumber = revisionNumber;
    }

    /**
     * toString returned by Jakarta Commons ToStringBuilder.
     * 
     * @return String properties and values of the ValueObject
     * 
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }    
    
    public boolean equals(Object other) {
        if ((this == other)) {
            return true;
        }

        if ((other == null)) {
            return false;
        }

        if (!(other instanceof EplCopayTierDo)) {
            return false;
        }

        EplCopayTierDo castOther = (EplCopayTierDo) other;

        return ((this.getEplId() == castOther.getEplId()) || (this
                .getEplId() != null
                && castOther.getEplId() != null && this
                .getEplId().equals(castOther.getEplId()))) && ((this.getEplId() == castOther.getEplId()) || (this.getEplId() != null
                && castOther.getEplId() != null && this.getEplId().equals(
                    castOther.getEplId())));
    }

    public int hashCode() {
        int result = 17;

        result = 37 * result + (getEplId() == null ? 0 : this.getEplId().hashCode());


        return result;
    }

}
