/**
 * Source file created in 2011 by Southwest Research Institute
 * 
 * Generated Oct 25, 2011 3:04:47 PM by Hibernate Tools 3.2.4.GA
 */


package gov.va.med.pharmacy.peps.domain.common.model;

import java.util.Date;


/**
 * Represents an FDBAdd record, which is a manual queue of new drugs added by FDB that needs to be manually matched with 
 * PPS-N products.  Initially generated by hbm2java.
 * 
 */
public class EplFdbAddDo extends
        gov.va.med.pharmacy.peps.domain.common.model.DataObject implements
        java.io.Serializable {

    /** Constant for the ndc property. */
    public static final String NDC = "ndc";
    /** Constant for the packageSize property. */
    public static final String PACKAGE_SIZE = "packageSize";
    /** Constant for the packageType property. */
    public static final String PACKAGE_TYPE = "packageType";
    /** Constant for the manufacturer property. */
    public static final String MANUFACTURER = "manufacturer";
    /** Constant for the addDesc property. */
    public static final String ADD_DESC = "addDesc";
    /** Constant for the tradeName property. */
    public static final String TRADE_NAME = "tradeName";
    /** Constant for the fdbProductName property. */
    public static final String FDB_PRODUCT_NAME = "fdbProductName";
    /** Constant for the gcnSeqno property. */
    public static final String GCN_SEQ_NO = "gcnSeqno";
    /** Constant for the fdbCreationDate property. */
    public static final String FDB_CREATION_DATE = "fdbCreationDate";    

    private static final long serialVersionUID = 1L;

    private String ndc;
    private String packageSize;
    private String packageType;
    private String manufacturer;
    private String labelName;
    private String addDesc;
    private String tradeName;
    private String fdbProductName;
    private Long gcnSeqno;
    private Date fdbCreationDate;
    /**
     * Default Constructor.
     * 
     */
    public EplFdbAddDo() {
    }

    /**
     * Instantiates a new EplFdbAddDo, specifying all properties.
     *
     * @param ndc the ndc
     * @param packageSize the package size
     * @param packageType the package type
     * @param manufacturer the manufacturer
     * @param labelName the label name
     * @param addDesc the add desc
     * @param tradeName the trade name
     * @param fdbProductName the fdb product name
     * @param gcnSeqno the gcn seqno
     * @param fdbCreationDate the fdb creation date
     * @param createdBy the created by
     * @param createdDtm the created dtm
     * @param lastModifiedBy the last modified by
     * @param lastModifiedDtm the last modified dtm
     */
    public EplFdbAddDo(String ndc, String packageSize, String packageType, 
                       String manufacturer, String labelName, String addDesc, 
                       String tradeName, String fdbProductName, Long gcnSeqno, 
                       Date fdbCreationDate, String createdBy, Date createdDtm, 
                       String lastModifiedBy, Date lastModifiedDtm) {
        super(createdBy, createdDtm, lastModifiedBy, lastModifiedDtm, true);
        this.ndc = ndc;
        this.packageSize = packageSize;
        this.packageType = packageType;
        this.manufacturer = manufacturer;
        this.labelName = labelName;
        this.addDesc = addDesc;
        this.tradeName = tradeName;
        this.fdbProductName = fdbProductName;
        this.gcnSeqno = gcnSeqno;
        this.fdbCreationDate = fdbCreationDate;
     }
    

    // Property accessors

    /**
     * Gets the fdb creation date.
     *
     * @return the fdb creation date
     */
    public Date getFdbCreationDate() {
        return this.fdbCreationDate;
    }

    
    public String getNdc() {
        return ndc;
    }

    
    public void setNdc(String ndc) {
        this.ndc = ndc;
    }

    
    public String getPackageSize() {
        return packageSize;
    }

    
    public void setPackageSize(String packageSize) {
        this.packageSize = packageSize;
    }

    
    public String getPackageType() {
        return packageType;
    }

    
    public void setPackageType(String packageType) {
        this.packageType = packageType;
    }

    
    public String getManufacturer() {
        return manufacturer;
    }

    
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    
    public String getLabelName() {
        return labelName;
    }

    
    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    
    public String getAddDesc() {
        return addDesc;
    }

    
    public void setAddDesc(String addDesc) {
        this.addDesc = addDesc;
    }

    
    public String getTradeName() {
        return tradeName;
    }

    
    public void setTradeName(String tradeName) {
        this.tradeName = tradeName;
    }

    
    public String getFdbProductName() {
        return fdbProductName;
    }

    
    public void setFdbProductName(String fdbProductName) {
        this.fdbProductName = fdbProductName;
    }

    
    public Long getGcnSeqno() {
        return gcnSeqno;
    }

    
    public void setGcnSeqno(Long gcnSeqno) {
        this.gcnSeqno = gcnSeqno;
    }

    public void setFdbCreationDate(Date fdbCreationDate) {
        this.fdbCreationDate = fdbCreationDate;
    }

    @Override
    public String toString() {
        return "EplFdbAddDo [ndc=" + ndc + ", packageSize=" + packageSize + ", packageType=" 
                + packageType + ", manufacturer=" + manufacturer + ", labelName=" + labelName 
                + ", addDesc=" + addDesc + ", tradeName=" + tradeName + ", fdbProductName=" 
                + fdbProductName + ", gcnSeqno=" + gcnSeqno + ", fdbCreationDate=" + fdbCreationDate 
                + ", createdBy=" + createdBy + ", createdDtm=" + createdDtm + ", lastModifiedBy=" 
                + lastModifiedBy + ", lastModifiedDtm=" + lastModifiedDtm + "]";
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + ((addDesc == null) ? 0 : addDesc.hashCode());
        result = prime * result + ((fdbCreationDate == null) ? 0 : fdbCreationDate.hashCode());
        result = prime * result + ((fdbProductName == null) ? 0 : fdbProductName.hashCode());
        result = prime * result + ((gcnSeqno == null) ? 0 : gcnSeqno.hashCode());
        result = prime * result + ((labelName == null) ? 0 : labelName.hashCode());
        result = prime * result + ((manufacturer == null) ? 0 : manufacturer.hashCode());
        result = prime * result + ((ndc == null) ? 0 : ndc.hashCode());
        result = prime * result + ((packageSize == null) ? 0 : packageSize.hashCode());
        result = prime * result + ((packageType == null) ? 0 : packageType.hashCode());
        result = prime * result + ((tradeName == null) ? 0 : tradeName.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (!super.equals(obj))
            return false;
        if (getClass() != obj.getClass())
            return false;
        EplFdbAddDo other = (EplFdbAddDo) obj;
        if (addDesc == null) {
            if (other.addDesc != null)
                return false;
        } else if (!addDesc.equals(other.addDesc))
            return false;
        if (fdbCreationDate == null) {
            if (other.fdbCreationDate != null)
                return false;
        } else if (!fdbCreationDate.equals(other.fdbCreationDate))
            return false;
        if (fdbProductName == null) {
            if (other.fdbProductName != null)
                return false;
        } else if (!fdbProductName.equals(other.fdbProductName))
            return false;
        if (gcnSeqno == null) {
            if (other.gcnSeqno != null)
                return false;
        } else if (!gcnSeqno.equals(other.gcnSeqno))
            return false;
        if (labelName == null) {
            if (other.labelName != null)
                return false;
        } else if (!labelName.equals(other.labelName))
            return false;
        if (manufacturer == null) {
            if (other.manufacturer != null)
                return false;
        } else if (!manufacturer.equals(other.manufacturer))
            return false;
        if (ndc == null) {
            if (other.ndc != null)
                return false;
        } else if (!ndc.equals(other.ndc))
            return false;
        if (packageSize == null) {
            if (other.packageSize != null)
                return false;
        } else if (!packageSize.equals(other.packageSize))
            return false;
        if (packageType == null) {
            if (other.packageType != null)
                return false;
        } else if (!packageType.equals(other.packageType))
            return false;
        if (tradeName == null) {
            if (other.tradeName != null)
                return false;
        } else if (!tradeName.equals(other.tradeName))
            return false;
        return true;
    }
}
