package gov.va.med.pharmacy.peps.domain.common.model;

import gov.va.med.pharmacy.peps.common.vista.VistaField;

/**
 * Wrapper class for EplNdfOutgoingDifferences which implements equals and hashCode in
 * terms of a VistaField object. This allows EplNdfOutgoingDifferences objects to be stored
 * in Map data structures keyed by VistaFields and compared for equality by VistaField.
 */
public class VistaFieldOutgoingDifference {
    private VistaField vistaField;
    private EplNdfOutgoingDifferences difference;
    
    /**
     * Constuctor.
     * 
     * @param field the VistaField to use for equals and hashCode implementations
     * @param difference the EplNdfOutgoingDifferences object to wrap
     */
    public VistaFieldOutgoingDifference(VistaField field, EplNdfOutgoingDifferences difference) {
        this.vistaField = field;
        this.difference = difference;
    }
    
    @Override
    public boolean equals(Object diff) {
        if(diff instanceof VistaFieldOutgoingDifference) {
            return vistaField.equals(((VistaFieldOutgoingDifference) diff).getVistaField());
        }
        else {
            return false;
        }
    }

    @Override
    public int hashCode() {
        return vistaField.hashCode();
    }
    
    public VistaField getVistaField() {
        return vistaField;
    }

    public EplNdfOutgoingDifferences getEplNdfOutgoingDifferences() {
        return difference;
    }
}
