package gov.va.med.pharmacy.peps.domain.common.utility.client.rxnorm;

/**
 * This class holds the RxNorm information retrieved from the ISAAC service.
 * 
 * @author DNS  DNS
 *
 */
public class RxNormData {

    private String vuid;
    private String rxcuid;
    private String productName;
    private String tty;
    private String suppress;

    /**
     * No arguments constructor.
     */
    public RxNormData() {
        super();
    }

    /**
     * Parameterized constructor.
     * 
     * @param vuid String parameter.
     * @param rxcuid String parameter.
     * @param productName String parameter.
     * @param tty String parameter.
     * @param suppress String parameter.
     */
    public RxNormData(String vuid, String rxcuid, String productName, String tty, String suppress) {
        super();
        this.vuid = vuid;
        this.rxcuid = rxcuid;
        this.productName = productName;
        this.tty = tty;
        this.suppress = suppress;
    }

    public String getVuid() {
        return vuid;
    }

    public void setVuid(String vuid) {
        this.vuid = vuid;
    }

    public String getRxcuid() {
        return rxcuid;
    }

    public void setRxcuid(String rxcuid) {
        this.rxcuid = rxcuid;
    }

    public String getTty() {
        return tty;
    }

    public void setTty(String tty) {
        this.tty = tty;
    }

    public String getSuppress() {
        return suppress;
    }

    public void setSuppress(String suppress) {
        this.suppress = suppress;
    }

    @Override
    public String toString() {
        return "Vuid: " + vuid + ", rxcuid: " + rxcuid + ", tty: " + tty + ", suppress: " + suppress + ", name: " + productName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

}
