package gov.va.med.pharmacy.peps.domain.common.capability.impl;

import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import gov.va.med.pharmacy.peps.common.vo.EntityType;
import gov.va.med.pharmacy.peps.domain.common.capability.DatabaseDomainCapability;
import gov.va.med.pharmacy.peps.domain.common.utility.test.AbstractDomainIT;

/**
 * Automated integration tests for {@link DatabaseDomainCapability}.
 */
public class DatabaseDomainCapabilityIT extends AbstractDomainIT {
  
  // Using field autowiring only in automated tests.
  @Autowired
  DatabaseDomainCapability objUnderTest;

  @Test
  public void testGetIdsPropInact_Product() {
    
    final List<Long> ids = objUnderTest.getIdsPropInact(EntityType.PRODUCT);
    
    // We don't know what we'll get back since it depends on what is in the database right now. But there will probably
    // always be at least one product with a proposed inactivation date. Since we're not running the ITs as part of the
    // build, it's safe to make that assumption for now.
    assertFalse("list should not be empty", ids.isEmpty());
  }

}
