package gov.va.med.pharmacy.peps.domain.common.model.dto;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;

import java.math.BigDecimal;
import java.time.Instant;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.Test;

/**
 * Unit tests for {@link FutureInactiveProductDto}.
 */
public class FutureInactiveProductDtoTest {
  
  private static final Logger LOG = LogManager.getLogger(FutureInactiveProductDtoTest.class);

  @Test
  public void testBasic() {
    
    final BigDecimal eplId = BigDecimal.valueOf(1235L);
    final String vaProductName = "Product Name";
    final String cmopId = "K1230";
    final Instant futureDate = Instant.ofEpochSecond(1586263034); // April 7, 2020
    
    /* Behavior & Verification */

    final FutureInactiveProductDto objUnderTest = new FutureInactiveProductDto();
    objUnderTest.setEplId(eplId);
    assertThat(objUnderTest.getEplId(), equalTo(eplId));
    objUnderTest.setVaProductName(vaProductName);
    assertThat(objUnderTest.getVaProductName(), equalTo(vaProductName));
    objUnderTest.setCmopId(cmopId);
    assertThat(objUnderTest.getCmopId(), equalTo(cmopId));
    objUnderTest.setFutureDate(futureDate);
    assertThat(objUnderTest.getFutureDate(), equalTo(futureDate));
    
    final String toStringResult = objUnderTest.toString();
    LOG.debug("toString is: {}", toStringResult);
    assertThat(toStringResult, allOf(
        containsString(eplId.toString()),
        containsString(vaProductName),
        containsString(cmopId),
        containsString(futureDate.toString())));

  }

}
