package gov.va.med.pharmacy.peps.common.utility.security;

/**
 * Types of ESAPI validation.
 */
public enum ESAPIValidationType {

    ACCESS_CONTROL_DB,
    CROSS_SITE_SCRIPTING_REFLECTED,
    COMMAND_INJECTION,

    /**
     * Validates that a given string cannot be used for log forging.
     */
    LOG_FORGING,
    PATH_MANIPULATION,
    PORTABILITY_FLAW_FILE_SEPARATOR,

    /**
     * Validates that a given request URI does not contain characters that can be used for Cross Site Scripting: Reflected
     * violations.
     */
    REQUEST_URI,
    SYSTEM_INFORMATION_LEAK_EXTERNAL,
    XML_EXT_ENTITY_INJ,

    /**
     * Validates that given string as an HTTPS URL in the va.gov domain.
     */
    VA_HTTPS_URL;
}
