package gov.va.med.pharmacy.peps.service.common.session;

import java.io.File;
import java.util.List;

import gov.va.med.pharmacy.peps.common.vo.MigrationCopayTierVo;
import gov.va.med.pharmacy.peps.common.vo.UserVo;
import gov.va.med.pharmacy.peps.service.common.migration.MigrationStatus;

/**
 * Service layer for Copay Tier migration.
 */
public interface CopayTierMigrationService {
  
  /**
   * Update the stored copay tier migration status.
   * @param progressCount int
   * @param totalCount int
   * @param status String
   */
  public void updateProgress(int progressCount, int totalCount, String status);
  
  /**
   * Returns the progress of the copay tier migration.
   * @return the object representing the status; never null.
   */
  public MigrationStatus getProgress();

  /**
   * Process the list of copay tier records.
   * @param list List<MigrationCopayTierVo>
   * @param user UserVo
   */
  void processCopayTierImport(List<MigrationCopayTierVo> list, UserVo user);

  /**
   * Returns the path to the import result file.
   * @return never null
   */
  public File getResultFilePath();
  
}
