package gov.va.med.pharmacy.peps.service.common.session;

import java.io.File;

import gov.va.med.pharmacy.peps.common.vo.UserVo;

/**
 * Performs business operations for migrations to PPS-N v3. These operations are typically run only once.
 */
public interface Ppsn3MigrationService {

    /**
     * Migrates the given DDI import file to the PPS-N database.
     * 
     * @param user the user performing the migration
     * @param importFile the DDI import file
     */
    public void migrateDdis(final UserVo user, final File importFile);
    
    /**
     * Migrates the given Package Size import file to the PPS-N database.
     * 
     * @param user the user performing the migration
     * @param importFile the Package Size import file
     */
    public void migratePackageSizes(final UserVo user, final File importFile);

}
