package gov.va.med.pharmacy.peps.service.common.session;

import java.util.Set;

import gov.va.med.pharmacy.peps.common.vo.MatchReason;
import gov.va.med.pharmacy.peps.common.vo.ProductVo;
import gov.va.med.pharmacy.peps.service.common.capability.RematchPreperationBean;

/**
 * High-level business operations pertaining to rematches.
 */
public interface RematchService {

    /**
     * Returns a {@link RematchPreperationBean} with the information needed to create a rematch.
     * @param fromProduct The product being rematched. Must not be null.
     * @param reasons the reason(s) for the rematch
     * @return never null.
     */
    public RematchPreperationBean prepareForRematch(ProductVo fromProduct, Set<MatchReason> reasons);
}
