package gov.va.med.pharmacy.peps.service.common.session.impl;

import gov.va.med.pharmacy.peps.common.vo.MigrationRow;

/**
 * This class validates that a row of data from the input source complies with business rules.
 *
 * @param <R> the generic type of MigrationRow that is validated
 */
public abstract class AbstractMigrationImportRowValidator <R extends MigrationRow> {


    /**
     * Ensures the data in the given row complies with business rule validation.
     * 
     * @param row to validate
     * @return the same row, updated to contain any validation errors that occurred
     */
    public abstract R validate(R row);
}
