package gov.va.med.pharmacy.peps.service.common.session.impl;

import java.io.File;

import org.springframework.beans.factory.annotation.Autowired;

import gov.va.med.pharmacy.peps.common.utility.PpsConfiguration;
import gov.va.med.pharmacy.peps.common.vo.HazardousWasteImportRow;
import gov.va.med.pharmacy.peps.service.common.migration.HazardousWasteMigrationResultFileWriter;

/**
 * Main implementation of {@link HazardousWasteMigrationService}.
 */
public class HazardousWasteMigrationServiceImpl extends AbstractMigrationServiceImpl<HazardousWasteImportRow, 
    HazardousWasteImportRowValidator, HazardousWasteMigrator, HazardousWasteMigrationResultFileWriter> 
    implements MigrationService<HazardousWasteImportRow> {

    private static final String RESULTS_FILE_NAME = "MigrationHazardousWasteResults.xlsx";
     
    /**
     * The constructor.
     * 
     * @param config containing application configuration settings
     * @param validator for checking migration business rules
     * @param migrator for processing rows
     * @param writer for creating the result file
     */
    @Autowired
    public HazardousWasteMigrationServiceImpl(
            PpsConfiguration config,
            HazardousWasteImportRowValidator validator,
            HazardousWasteMigrator migrator,
            HazardousWasteMigrationResultFileWriter writer) {
        super(config, validator, migrator, writer);
    }
      
    @Override
    public File getResultFile() {
        return new File(getConfig().getPersistentDirectory(), RESULTS_FILE_NAME);
    }


}
