package gov.va.med.pharmacy.peps.service.common.session.impl;

import java.util.Set;

import org.springframework.transaction.annotation.Transactional;

import gov.va.med.pharmacy.peps.common.vo.MatchReason;
import gov.va.med.pharmacy.peps.common.vo.ProductVo;
import gov.va.med.pharmacy.peps.service.common.capability.RematchCapability;
import gov.va.med.pharmacy.peps.service.common.capability.RematchPreperationBean;
import gov.va.med.pharmacy.peps.service.common.session.RematchService;

/**
 * Primary implementation of {@link RematchService}.
 */
public class RematchServiceImpl implements RematchService{
    
    private RematchCapability rematchCapability;

    
    public RematchCapability getRematchCapability() {
        return rematchCapability;
    }

    
    public void setRematchCapability(RematchCapability rematchCapability) {
        this.rematchCapability = rematchCapability;
    }
    
    @Override
    @Transactional
    public RematchPreperationBean prepareForRematch(final ProductVo fromProduct, final Set<MatchReason> reasons) {
        return rematchCapability.prepareForRematch(fromProduct, reasons);
    }

}
