package gov.va.med.pharmacy.peps.service.common.utility;

import java.util.ArrayList;

import gov.va.med.pharmacy.peps.common.vo.ItemAuditHistoryVo;
import gov.va.med.pharmacy.peps.common.vo.NotificationVo;
import gov.va.med.pharmacy.peps.common.vo.UserVo;
import gov.va.med.pharmacy.peps.domain.common.capability.NotificationDomainCapability;

/**
 * Common operations pertaining to {@link ItemAuditHistoryVo}s.
 */
public class ItemAuditHistoryUtility {

    private final NotificationDomainCapability notificationDomainCapability;
    
    public ItemAuditHistoryUtility(final NotificationDomainCapability pNotificationDomainCapability) {
        notificationDomainCapability = pNotificationDomainCapability;
    }

    /**
     * Wraps the given {@link ItemAuditHistoryVo} in a {@link NotificationVo} and saves it.
     * @param itemAudit the audit history to save. May be null, in which case this method does nothing.
     * @param user the user performing this operation
     */
    public void saveItemAuditHistoryRecords(ItemAuditHistoryVo itemAudit, UserVo user) {
        if (!(itemAudit == null)) {
            NotificationVo notification = new NotificationVo();
            ArrayList<ItemAuditHistoryVo> itemAudits = new ArrayList<ItemAuditHistoryVo>();
            itemAudits.add(itemAudit);
            notification.setItemAudits(itemAudits);
            notification.determineNotificationType();
            notificationDomainCapability.create(notification, user);
        }
    }
}
