package gov.va.med.pharmacy.peps.service.national.updatefile;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.junit.Assert.*;

import org.junit.Test;

/**
 * Automated unit tests for {@link UpdateFileReportFormatter}.
 */
public class UpdateFileReportFormatterTest {

    @Test
    public void testDoubleIndent() {
        final String sample = "sample text";
        assertThat(UpdateFileReportFormatter.doubleIndent(sample), equalTo("    " + sample));
    }

    @Test
    public void testIndentLevel2() {
        final String sample = "sample text";
        assertThat(
            "indentLevel2 should be twice doubleIndent",
            UpdateFileReportFormatter.indentLevel2(sample),
            equalTo(UpdateFileReportFormatter.doubleIndent(UpdateFileReportFormatter.doubleIndent(sample))));
    }

    @Test
    public void testFormatPairWithSquareBraces() {
        final String item1 = "sample text";
        final String item2 = "other";
        
        assertThat(UpdateFileReportFormatter.formatPairWithSquareBraces(item1, item2),
            equalTo(UpdateFileReportFormatter.doubleIndent("sample text     [other]")));
    }

}
