<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<script src="/PRE/javascript/hazardousWasteMigration.js" type="text/javascript"></script>

<div style="margin: 5px;">
	<form:form method="POST" enctype="multipart/form-data" action="/PRE/migrationHazardousWasteImport.go">
	    Hazardous Waste Data file: <input id="fileName" type="file" name="file" onchange="hazWasteMigration.fileSelected();"/><span><input id="fileSubmitButton" type="submit" value="Upload" disabled class="ignoreEnable"></span>
	</form:form>
	
	<c:if test="${migrationStatus.status == 'INPROGRESS' || migrationStatus.status == 'DONE'}">
	<div id="hazWasteMigrationProgress">
	    <p>
	        Processing Record <span id="hazWasteMigrationProgressCount"><c:out value="${migrationStatus.progressCount}" /></span> of <span id="hazWasteMigrationTotalCount"><c:out value="${migrationStatus.totalCount}" /></span>...
	    </p>
	</div>
	</c:if>
	
	
	<div id="hazWasteMigrationDownload" 
	    <c:if test="${migrationStatus.status != 'DONE'}">style="display: none;"</c:if>>
	    <p>
	        Migration process has completed. Click Download button to view the results.
	    </p>
		<p>
		    <button onclick="window.location = '/PRE/migrationHazardousWasteDownload.go';">
		        Download
		    </button>
		</p>
	</div>
</div>
