<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="peps" tagdir="/WEB-INF/tags"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<peps:warnings id="warnings" warnings="${warnings}"/>
<form:form id="unmatchedProductsRematch" name="unmatchedProductsRematch"
	modelAttribute="editRematchBean" action="createRematch.go" method="post"
	onsubmit="return disableSubmit(this.id);">

	<div class="body-content">

		<div class="horizontalspacer"></div>

		<table style="width: 100%; margin-bottom: 5em;"> <%-- to create the 2-column layout --%>

			<tr>
			    <%-- Layout Column 1 --%>
				<td style="vertical-align: top; width: 50%; padding-right: 10px;">
						<table id="rematchModifiedProductTable" class="rematchTable"
							border="1" style="width: 100%" cellspacing="0">

						    <caption>Modified Product</caption>
							<thead>
								<tr>
									<th align="center" width="100px">VA Product Name</th>
									<th align="center" width="50px">VA Product ID</th>
								</tr>
							</thead>

							<tr class="${status.index % 2 == 0 ? 'even' : 'odd'}">
							    <td align="center" valign="middle">
								    <input type="hidden" value="${editRematchBean.unmatchedProduct.id}" name="tableId" /> 
									<peps:text key="va.product.name" item="${editRematchBean.unmatchedProduct}"/>
								</td>
								<td align="center" valign="middle">
									<peps:text item="${editRematchBean.unmatchedProduct}" key="cmop.id" />
								</td>
							</tr>
						</table>
				</td>
				<%-- Layout Column 2 --%>
				<td style="vertical-align: top; align: top; width: 50%">

					<table id="rematchPossibleMatchesTable" class="rematchTable"
						border="1" style="width: 100%;" cellspacing="0" >
						
						<caption>Possible Matches</caption>

						<thead>
							<tr>
								<th align="center">VA Product Name</th>
								<th align="center">VA Product ID</th>
								<th align="center">Status</th>
								<th align="center">Suggestion</th>
								<th align="center">Automatic</th>
							</tr>
						</thead>
						<c:choose>
							<c:when test="${empty editRematchBean.potentialMatches}">
								<tr>
									<td colspan="5"><font size="4" color="maroon"><b>No
												Results Found</b></font></td>
								</tr>
							</c:when>
							<c:otherwise>
								<c:forEach var="productMatch"
									items="${editRematchBean.potentialMatches}" begin="0" varStatus="prod">
									<tr class="${prod.index % 2 == 0 ? 'even' : 'odd'}">
									    <td align="center">
											<peps:text item="${productMatch}" key="va.product.name" />
										</td>
										<td align="center">
											<peps:text item="${productMatch}" key="cmop.id" />
										</td>
										<td align="center">
											<peps:text item="${productMatch}" key="item.status" />
                                         </td>
										<td align="center">
										    <form:checkbox
												value="${productMatch.id}"
												path="toSuggestedProductIdSet"
										        title="${productMatch.vaProductName} Suggestion" />
										</td>
										<td align="center">
											<form:radiobutton
												value="${productMatch.id}"
												path="toAutoProductId"
										        title="${productMatch.vaProductName} Automatic" />
										</td>
									</tr>
								</c:forEach>
							</c:otherwise>
						</c:choose>
					</table>
				</td>
			</tr>
		</table>
		
	<!-- buttons panel -->	
        <div class="panel">
            <div class="floatRight">
	            <span class="column"><peps:submit key="button.cancel" action="cancelRematch.go" /></span>         
	            <span class="column">
	                <button type="button" onclick="window.location.href='associateProductToRematch.go'">Search</button>          
	            </span>       
	            <span class="column">
	                 <button type="button" onclick="window.location.href='modificationSummary.go'">Skip</button>            
	            </span>
	            <span class="column">
	               <input type="submit" value="Submit"/>           
	            </span>          
            </div>
         </div>
    <!-- buttons panel end -->  
	</div>
</form:form>

<script src="/PRE/javascript/rematch.js" type="text/javascript"></script>