<%@ tag description="Generates a group of Spring form checkboxes, one for each item of an enumeration." %>
<%@ attribute name="fieldKey" required="true" type="java.lang.String"
    description="The field key text for this item (used to look up localization strings)" %>
<%@ attribute name="path" required="true" type="java.lang.String"
    description="Passed to the Spring checkboxes control" %>
<%@ attribute name="items" required="true" type="java.util.Map"
    description="Passed to the Spring checkboxes control" %>

<%@ taglib 
	prefix="spring" 
	uri="http://www.springframework.org/tags"%>
<%@ taglib 
	prefix="form" 
	uri="http://www.springframework.org/tags/form"%>

<fieldset class="enumCheckboxes">
	<legend title="<spring:message code='${fieldKey}.description'/>">
		<spring:message code="${fieldKey}.name" />
	</legend>
	<form:checkboxes 
		cssClass="checkbox"
		element="div"
		items="${items}"
		path="${path}" />
</fieldset>