var hazWasteMigration = {
    pollId: null,
	startPolling: function() {
		hazWasteMigration.pollId = setInterval(
			function() {
				hazWasteMigration.getStatus();
			}, 
			3000);
	},
	stopPolling: function() {
		clearInterval(hazWasteMigration.pollId);
	},
	getStatus: function() {
		jQuery.ajax({
			url: "/PRE/hazardousWasteMigrationStatus.go",
			type: "GET",
			dataType: "json",
			contentType: "application/json"
		})
		.done(function(data) {
			jQuery("#hazWasteMigrationProgressCount").text(data.progressCount);
        	jQuery("#hazWasteMigrationTotalCount").text(data.totalCount);
		})
		.always(function(data) {
			if("DONE" === data.status) {
				hazWasteMigration.stopPolling();
				jQuery("#hazWasteMigrationDownload").show();
			}
		});
	},
	fileSelected: function() {
		var filename = $("#fileName").val();
		
		if(filename) {
			$("#fileSubmitButton").removeAttr("disabled");
		}
		else {
			$("#fileSubmitButton").attr("disabled", "disabled");
		}
	}
};

jQuery(document).ready(function() {
	if(jQuery("#hazWasteMigrationProgress").length > 0
	    && !jQuery("#hazWasteMigrationDownload").is(":visible")) {
		hazWasteMigration.startPolling();
	}
});
